From b45fe2b18e9a7c5c4f3af2fcaa5e3c1d37c4eb5c Mon Sep 17 00:00:00 2001
From: Eric Barbour <ebarbour@redhat.com>
Date: Jul 18 2016 16:17:49 +0000
Subject: [PATCH 546/1001] Basic ellipsizing of group owners


* Sort top owners by oldest
* Modal shows all owners alphabetically

---

diff --git a/hubs/widgets/rules.py b/hubs/widgets/rules.py
index edf141a..443f07c 100755
--- a/hubs/widgets/rules.py
+++ b/hubs/widgets/rules.py
@@ -7,6 +7,7 @@ from hubs.widgets import templating
 from hubs.utils import username2avatar
 from hubs import validators
 
+ELLIPSIS_LIMIT = 5
 chrome = panel()
 template = templating.environment.get_template('templates/rules.html')
 position = 'both'
@@ -26,10 +27,17 @@ position = 'both'
           help="Link to meeting minutes from past meetings..")
 def data(session, widget, link, schedule_text, schedule_link, minutes_link):
     owners = widget.hub.owners
+    oldest_owners = sorted(owners, key=lambda o: o.created_on)[:ELLIPSIS_LIMIT]
+    oldest_owners = [{
+        'username': o.username,
+        'avatar': username2avatar(o.username)
+    } for o in oldest_owners]
+
     owners = ordereddict([
         (o.username, username2avatar(o.username)) for o in owners
     ])
-    return dict(owners=owners, link=link,
+    return dict(oldest_owners=oldest_owners,
+                owners=owners, link=link,
                 schedule_text=schedule_text,
                 schedule_link=schedule_link,
                 minutes_link=minutes_link)
